Subject: draft-eisler-nfsv4-impid-00.txt (was Re: [nfsv4] welch's notes on IETF-64 meeting)

From: Mike Eisler <[email-masked]>
Date: Thu, 5 Jan 2006 12:44:46 -0800 (PST)

--- Brent Welch <[email-masked]> wrote:

> Here are my notes from last week's meeting at IETF-64.
> There is some editorialization on my part...  And probably errors, too.
> 
> draft-eisler-nfsv4-impid-00.txt
> This is a proposal to add operations to NFSv4 that will identify
> implementations.  This is useful for correlating bugs with different
> vendors, and seeing what the population of clients is like.  I think
> it is a great idea, although there was concern that folks would

I'll go further an assert that at the WG meeting there was
strong consensus and no dissent that this was a good idea.

 be
> tempted to write special case code based on the implementation at
> the remote end.  Anyone that is tempted to do that will get

Much of this concern emanates from the ssh experience. As I
pointed in at the WG meeting, ssh *asked* for this problem
because its specificiation explicitly welcomes it. Whereas
the language in my i-d explicitly bans it.

I would the like i-id to be incorporated into the next
revision of the NFSv4.1 i-d.
My i-d discusses two approaches: a new operations versus new
RECOMMENDED attributes. I propose new RECOMMENDED attributes
as that can use existing mechanism (GETATTR and SETATTR).

Per my understanding of IETF rules, we need to see if
there is a rough consensus. Perhaps we can assume that 
the attendees at the Vancouver WG meeting have not changed 
their minds, so the only thing that would block adding this 
item to NFSv4.1 would be wide dissent from non-attendees. 
Let the discussion start now, and I'll leave it to 
either of the co-chairs to discern if
rough consensus exists or not.

> what
> they deserve, IMHO (a world of pain later on).  [...]

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4